Resource

Artifacts

Individual artifact pieces with their set, slot, description and lore. Rarities come from their set.

301items
4filters
2sort fields

Endpoints

GET/api/v1/artifactsPaginated list
GET/api/v1/artifacts/randomRandom item
GET/api/v1/artifacts/{id or name}Single item

List

Returns a paginated list of artifacts in summary form.

Query parameters

ParameterDescription
limitItems per page (1-100, default 20)
offsetItems to skip (default 0)
sortOne of id, name. Prefix with - for descending.
namePartial match on the name
setArtifact set slug. Comma-separated values allowed.
typeArtifact type slug, e.g. circlet-of-logos. Comma-separated values allowed.
rarityRarity stars (1-5) or rarity slug, e.g. 5 or 5-star. Comma-separated values allowed.
GET /api/v1/artifacts?limit=2
{
  "count": 301,
  "next": "https://genshin-api.replace_me.workers.dev/api/v1/artifacts?limit=2&offset=2",
  "previous": null,
  "results": [
    {
      "id": 1,
      "slug": "initiates-flower",
      "name": "Initiate's Flower",
      "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifacts/initiates-flower",
      "set": {
        "id": 1,
        "slug": "initiate",
        "name": "Initiate",
        "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifact-sets/initiate"
      },
      "type": {
        "id": 1,
        "slug": "flower-of-life",
        "name": "Flower of Life",
        "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifact-types/flower-of-life"
      },
      "icon": null
    },
    {
      "id": 2,
      "slug": "initiates-feather",
      "name": "Initiate's Feather",
      "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifacts/initiates-feather",
      "set": {
        "id": 1,
        "slug": "initiate",
        "name": "Initiate",
        "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifact-sets/initiate"
      },
      "type": {
        "id": 2,
        "slug": "plume-of-death",
        "name": "Plume of Death",
        "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifact-types/plume-of-death"
      },
      "icon": null
    }
  ]
}

Single item

Returns the full details of one item, by numeric id or by name. Arrays in the example below are shortened.

Fields

FieldType
idnumber
slugstring
namestring
urlstring
setReference
typeReference
raritiesReference[]
descriptionstring
lorestring | null
imagesobject
GET /api/v1/artifacts/witchs-flower-of-blaze
{
  "id": 127,
  "slug": "witchs-flower-of-blaze",
  "name": "Witch's Flower of Blaze",
  "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifacts/witchs-flower-of-blaze",
  "set": {
    "id": 30,
    "slug": "crimson-witch-of-flames",
    "name": "Crimson Witch of Flames",
    "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifact-sets/crimson-witch-of-flames"
  },
  "type": {
    "id": 1,
    "slug": "flower-of-life",
    "name": "Flower of Life",
    "url": "https://genshin-api.replace_me.workers.dev/api/v1/artifact-types/flower-of-life"
  },
  "rarities": [
    {
      "id": 4,
      "slug": "4-star",
      "name": "4-Star",
      "url": "https://genshin-api.replace_me.workers.dev/api/v1/rarities/4-star",
      "icon": "https://pub-ee487cafc1aa471a90a3f2ae46c5e85f.r2.dev/rarities/4-star.webp"
    },
    {
      "id": 5,
      "slug": "5-star",
      "name": "5-Star",
      "url": "https://genshin-api.replace_me.workers.dev/api/v1/rarities/5-star",
      "icon": "https://pub-ee487cafc1aa471a90a3f2ae46c5e85f.r2.dev/rarities/5-star.webp"
    }
  ],
  "description": "A flower touched by the witch who once dreamt of burning away all the demons in the world. The anonymous flames affectionately caress the hands of those who touch it.",
  "lore": "A common species of flower.\nIt is curiously capable of resisting the Crimson Witch's flames.\n\nA crisis centuries ago dashed all hope of the maiden seeing the future promised to her.\nThose dear to her, her past days, and her bright future. All gone.\n\nFrom the ashes, the Crimson Witch of Flame was born, and she burned away her pain with fire.\nYet this flower stayed resilient, soft, and moist.\nPerhaps both painful and beautiful memories were two sides of the same coin.",
  "images": {}
}

Random

Returns one random item with the same shape as the single item endpoint. Accepts name and every list filter.

Try it

GETgenshin-api.REPLACE_ME.workers.dev